查询FBA货件商品FNSKU标签
POST
/erp/sc/storage/shipment/printFnskuLabels接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/storage/shipment/printFnskuLabels | HTTPS | POST | 1 |
请求参数
dataarray<object>必填隐藏子属性
shipment_idstring必填numinteger必填seller_skustring必填fnskustring必填page_typestring必填print_contentstringcontent_typestringprint_customstringcustom_contentstringnew_tagstringis_return_urlinteger请求cURL示例
curl --location 'https://openapi.lingxing.com/erp/sc/storage/shipment/printFnskuLabels?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"data": [{
"shipment_id": "FBA16RKY2ZNR",
"num": 20,
"seller_sku": "Black_ Head_Rope",
"fnsku": "B09MT3989Q"
}],
"page_type": "DOUBLE_COL_100_30",
"print_content": "yes",
"content_type": "sku",
"print_custom": "yes",
"custom_content": "MADE IN CHINA",
"new_tag": "yes",
"is_return_url": 1
}'
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填totalinteger必填dataobject必填隐藏子属性
file_base64string必填file_urlstring必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "17036564-84C9-554E-5225-BEFE9A3733EC",
"response_time": "2022-07-04 18:40:49",
"total": 1,
"data": {
"file_url": "https://example.com/file.pdf"
}
}